## pgnodemx 1.6

=== Makefile ===
ifdef USE_PGXS
PG_CONFIG = pg_config
datadir := $(shell $(PG_CONFIG) --sharedir)
else
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
endif

MODULE_big	= pgnodemx
OBJS		= pgnodemx.o cgroup.o envutils.o fileutils.o genutils.o kdapi.o parseutils.o procfunc.o
PG_CPPFLAGS	= -I$(libpq_srcdir)
PATH_TO_FILE	= $(datadir)/extension/pg_proctab.control
ifeq ($(shell test -e $(PATH_TO_FILE) && echo -n yes),yes)
EXTENSION	= pgnodemx pg_proctab--0.0.10-compat
else
EXTENSION	= pgnodemx pg_proctab--0.0.10-compat pg_proctab
endif
DATA		= pgnodemx--1.0--1.1.sql pgnodemx--1.1--1.2.sql pgnodemx--1.2--1.3.sql pgnodemx--1.3--1.4.sql pgnodemx--1.4--1.5.sql pgnodemx--1.5--1.6.sql pgnodemx--1.6.sql pg_proctab--0.0.10-compat.sql

GHASH := $(shell git rev-parse --short HEAD)

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgnodemx
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq ($(strip $(VSTR)),)
ifneq ($(strip $(GHASH)),)
override CPPFLAGS += -DGIT_HASH=\"$(GHASH)\"
else
override CPPFLAGS += -DGIT_HASH=\"none\"
endif
else
override CPPFLAGS += -DGIT_HASH=\"$(VSTR)\"
endif

=== debian/changelog ===
pgnodemx (1.6-2) unstable; urgency=medium

  * Replace placeholder description by actual one. Thanks Teemu Hukkanen!
    (Closes: #1073507)

 -- Christoph Berg <myon@debian.org>  Mon, 17 Jun 2024 10:16:14 +0200

pgnodemx (1.6-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jun 2024 11:45:10 +0200

=== debian/control ===
Source: pgnodemx
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/CrunchyData/pgnodemx
Vcs-Browser: https://salsa.debian.org/postgresql/pgnodemx
Vcs-Git: https://salsa.debian.org/postgresql/pgnodemx.git

Package: postgresql-16-pgnodemx
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: capture node OS metrics from PostgreSQL
 pgnodemx is a PostgreSQL extension that provides SQL functions to allow
 capture of node OS metrics via SQL queries.
 .
  * cgroup related functions
  * environment variable related functions
  * /proc related functions
  * system information related functions
  * Kubernetes DownwardAPI related functions
  * general information functions

=== debian/watch ===
version=4
opts=uversionmangle=s/_/~/ \
https://github.com/CrunchyData/pgnodemx/tags .*/(.*).tar.gz

## pgnodemx 1.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 else
 EXTENSION	= pgnodemx pg_proctab--0.0.10-compat pg_proctab
 endif
-DATA		= pgnodemx--1.0--1.1.sql pgnodemx--1.1--1.2.sql pgnodemx--1.2--1.3.sql pgnodemx--1.3--1.4.sql pgnodemx--1.4--1.5.sql pgnodemx--1.5--1.6.sql pgnodemx--1.6.sql pg_proctab--0.0.10-compat.sql
+DATA		= pgnodemx--1.0--1.1.sql pgnodemx--1.1--1.2.sql pgnodemx--1.2--1.3.sql pgnodemx--1.3--1.4.sql pgnodemx--1.4--1.5.sql pgnodemx--1.5--1.6.sql pgnodemx--1.6--1.7.sql pgnodemx--1.7.sql pg_proctab--0.0.10-compat.sql
 
 GHASH := $(shell git rev-parse --short HEAD)

=== debian/changelog ===
pgnodemx (1.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117304)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:24:08 +0200

pgnodemx (1.7-1) unstable; urgency=medium

  * New upstream version 1.7.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 19:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,22 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- postgresql-all (>= 217~),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.2
 Homepage: https://github.com/CrunchyData/pgnodemx
 Vcs-Browser: https://salsa.debian.org/postgresql/pgnodemx
 Vcs-Git: https://salsa.debian.org/postgresql/pgnodemx.git
 
-Package: postgresql-16-pgnodemx
+Package: postgresql-18-pgnodemx
 Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: capture node OS metrics from PostgreSQL
  pgnodemx is a PostgreSQL extension that provides SQL functions to allow
  capture of node OS metrics via SQL queries.

=== debian/rules ===
#!/usr/bin/make -f

export PG_VIRTUALENV_ARGS = -oshared_preload_libraries=pgnodemx

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

=== debian/watch ===
version=4
opts=uversionmangle=s/_/~/ \
https://github.com/CrunchyData/pgnodemx/tags .*/v?(\d.*).tar.gz
